# Introduction

The FSUDAQ is a GUI, supports 1 CAEN x725 and x730 digitizer with either DPP-PHA or DPP-PSD firmware. It uses the CEAN ROOT for the Graphical Interface. 

## Required Library

1. CAENComm 1.4+
2. CAENVMELib 2.5+
3. CAENDigitizer 2.12+
4. CAEN A3818 Driver 1.61+ (for optical link)
5. CERN ROOT 6

## Folder Structure

FSUDAQ 

├── Analysis \
├── DAQ \
├── elogText.txt

├── expDir

│   ├── data

│   │   └── *.fsu

│   ├── FSUDAQ.sh

│   └── settings

├── FSUDAQ

├── FSUDAQDict_rdict.pcm -> DAQ/FSUDAQDict_rdict.pcm

├── FSUDAQ.sh

├── README.md

├── tempDB.txt

├── test

└── test_indep
        
The parent folder FSUDAQ should be placed on the Home directory. The source code for the DAQ is inside the DAQ folder. 

The key codes are :

1. ClassData.h
2. RegisterAddress.h
3. ClassDigitizer.h/cpp

The test.cpp is an example to use the above classes to control and readout digitizer. 

The test_indep.cpp is an example to connect digitizer ONLY with CAEN library.

The rest of the files are for the GUI.

The Analysis folder stores all online analysis codes.

User should also make a symbolic link to the data folder.

The FSUDAQ.sh will be created when running the FSUDAQ for the 1st time. It stored the program settings. 

## To Complie

Go to the DAQ folder:

> ~>cd FSUDAQ

> FSUDAQ>cd DAQ

> DAQ>make FSUDAQ

It will produce an executable FSUDAQ under the FSUDAQ, and FSUDAQDict_rdict.pcm.


